# MMB 3D Sprites Demo #
Version 1 - October 6, 2014

by  Andrew  Hazelden  
Based  Upon  the  Metal  Basic  Sprite  Demo "TriCube" by Ivan Freyman.

This example plots 3D sprites on a Mikromedia PIC32 screen using the TFT Graphics library. You can use the buttons on a MikroElektronika Mikromedia Gaming Shield to control the rotation of the shapes, and change the active model between a plane, jack, cube, pyramid, and a octahedron.

The code was written using MikroC Pro for PIC32 and VisualTFT.

## Screenshots ##

![Controlling the demo with a Mikromedia Gaming Shield.](screenshots\mmb-handheld.jpg)

![Info Screen](screenshots\mmb-info-screen.jpg)

![Jack](screenshots\model-jack.jpg)

![jack](screenshots\model-jack2.jpg)

![Cube](screenshots\model-cube.jpg)

![Pyramid Shape](screenshots\model-pyramid.jpg)

![Plane](screenshots\model-plane.jpg)

## User Input ##

- Tap the Mikromedia screen to change the model.

Gaming  Shield  Controls:

- Press  the  START  button  to  change  the  model.
- Press  the  CIRCLE  button  to  show  coordinates.
- Use  the  ARROW/X/Triangle  buttons  for  rotation.
- The square button will pause the screen for 5 seconds.

## Installation ##

1. Install Firmware: Flash the firmware file `mmbSprites-PIC32.hex` to your Mikromedia PIC32 board.

2. Power up the Mikromedia board and get ready to try out the MMB Sprites demo!

## Development Tools Used ##

**Compatible SW**:  

mikroC PRO for PIC32  
[http://www.mikroe.com/mikroc/pic32/](http://www.mikroe.com/mikroc/pic32/)

VisualTFT  
[http://www.mikroe.com/eng/products/view/627/visual-tft/](http://www.mikroe.com/eng/products/view/627/visual-tft/)

TFT Graphics by Bitwise (required download)  
[http://www.libstock.com/projects/view/914/tft-graphics-library](http://www.libstock.com/projects/view/914/tft-graphics-library)

Andrew Hazelden's Mikromedia Gaming Shield Library (included with the current source code)  
[http://www.libstock.com/projects/view/389/andrew-hazelden-s-mikromedia-gaming-shield-library ](http://www.libstock.com/projects/view/389/andrew-hazelden-s-mikromedia-gaming-shield-library )

**Hardware Required**:  
                
**Dev.Board**:  
Mikromedia PIC32  
[http://www.mikroe.com/mikromedia/pic32/](http://www.mikroe.com/mikromedia/pic32/)

**Controller**:  
Mikromedia GAMING Shield  
[http://www.mikroe.com/mikromedia/shields/gaming/](http://www.mikroe.com/mikromedia/shields/gaming/)

------------------------------------------------------

Demo Created by Andrew Hazelden. (c) copyright 2014.  
Email: [andrew@andrewhazelden.com](mailto:andrew@andrewhazelden.com)  
Blog:  [http://www.andrewhazelden.com](http://www.andrewhazelden.com)  

